+ Responder ao Tópico



  1. #1
    natto
    Visitante

    Padrão Problema com intebase no hedhat 9

    Instalamos o interbase e na hora de starta-lo esta ocorrendo o seguinte erro:
    /opt/interbase/bin/ibmgr.bin: error while loading shared librares: libncurses.so.4: cannot open shred objetct file: No such file or directory

    ja coloquei o link para a biblioteca ncurses 4, mesmo assim não resolveu

    alguem pode me ajudar...

  2. #2

    Padrão Problema com intebase no hedhat 9

    você está utilizando o interbase 6?

    porque não utiliza o firebird ao invés do interbase? o firebird é SGBD GPL que nasceu a partir do interbase 6 só q ele está muito melhor que o interbase 6.... uma beleza....está sempre em atualizações, enquanto o interbase 6 está o mesmo a anos.....

    firebird.sourceforge.net

    vlws!

    vc linkou assim:

    ln -s /lib/libncurses.so.5 /lib/libncurses.so.4 ??



  3. #3
    natto
    Visitante

    Padrão Problema com intebase no hedhat 9

    Estou usando o interbase 6

    e foi da forma que vc citou que eu linkei

  4. #4

    Padrão Problema com intebase no hedhat 9

    Natto, boa noite .......
    Estranho, eu já instalei o Interbase 6, duas vezes no nosso servidor aqui na empresa. Usamos o Conectiva 8. E simplesmente fiz como o PiTsa escreveu. Ou seja ln -s /lib/libncurses.so.5 /lib/libncurses.so.4 e nunca deu nenhum problema. Já tem mais ou menos uns 2 anos que funciona, e funciona perfeito.
    No começo também recebia a mesma mensagem que você. Mas depois desse comando ln -s , tudo se resolveu.
    Honestamente, o procedimento correto seria esse mesmo. Mas não sei o que está acontecendo aí na sua instalação.



  5. #5

    Padrão Problema com intebase no hedhat 9

    entra no diretorio /lib e da um
    # ls -l libncurses*

    e ve se o link ta feito bonitinho....se ainda assim o link tive bonitin...tenta apagar ele e recria-lo..... :wink:

  6. #6
    Visitante

    Padrão Problema com intebase no hedhat 9

    fiz os teste com o conectiva 7 e funciona bem mas o problema e que ele não funciona com o redhat 9.
    Alguem sabe de alguma incompatilidade entre o intebase 6 e o redhat



  7. #7

    Padrão Problema com intebase no hedhat 9

    o interbase 6 utiliza bibliotecas mais antigas, pois ele foi desenvolvido há um bom tempo, eu aconselho você a utilizar o Firebird, todas as databases que vc possui em Interbase, software usado, etc, é compativel com o Firebird, sendo que agora o Firebird possui muitas vantagens em cima do Interbase 6.....

    veja minha asssinatura =)